Seafile Server 7.0.3 for Raspberry Pi is ready! 17.07.2019

You can get it from the Seafile download section.

We warmly recommend you first, before to proceed with the update, to take a view to the Seafile ChangeLog, because the requirements had changed considerably in the last releases :nerd_face:

:pushpin: Please remember:

  • Don’t forget to stop Seafile Server before the upgrade (i.e: service seafile-server stop or, another example: service seahub stop && service seafile stop)
  • Don’t forget to change the directory rights of Seafile after unpacking it (i.e: chown -R seafile:nogroup seafile-server-7.0.3 or, another example: sudo chown -R seafile:seafile seafile-server-7.0.3 )
  • Don’t forget to apply the upgrade script/s according your start release && with the properly user which in normal case should be seafile (i.e change to seafile user: su seafile -s /bin/bash or, another example: sudo su seafile)

During execution of the upgrade script (upgrade_6.3_7.0.sh) you will get some warnings. Check that these are the same like here. That’s for CE Version OK.

In case you don’t have the certifi python package installed. You will need to install it.

pip install certifi

Link to the official announcement in forum. Could be a help regarding known errors in x64 version.

Once again, thanks to the developers and Seafile Community (specially @DomiM being my rpi guinea pig :+1: )

have fun :blush:

4 Likes

It was a pleasure, thank you for your work :slight_smile:

1 Like

Hi…having issues here - hope you can help :slight_smile:

upgrade went fine - no errors at all. But now when i try to run seafile.sh i get this error

ccnet-server: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.22’ not found (required by /home/piseafile/seafile-server-7.0.3/seafile/lib/libgnutls.so.30)
failed to run "ccnet-server -t

OK then i tried to solve by installing

sudo apt-get install libc6
Reading package lists… Done
Building dependency tree
Reading state information… Done
libc6 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

So don’t know where to look after that…

Which distro? Share the output:

hostnamectl

Just upgraded from 6.3.4 to 7.0.3 on my RPI 3B+ running Raspbian buster, the upgrade is smooth and I don’t see any problem with the new version.

Thanks for your hardworking! :heart_eyes:

1 Like

I upgrade my RPI3+ raspbian buster seafile 6.3.4 to 7.0.3. The upgrade is ok but seahub don’t start anymore.
If i start seahub.sh start-fastcgi i see this message
LC_ALL is not set in ENV, set to en_US.UTF-8
./seahub.sh: line 208: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8): No such file or directory
Starting seahub (fastcgi) at 127.0.0.1:8000 …
Traceback (most recent call last):
File “/home/seafile/seafile-server-7.0.3/seahub/manage.py”, line 10, in
execute_from_command_line(sys.argv)
File “/home/seafile/seafile-server-7.0.3/seahub/thirdpart/Django-1.11.16-py2.7.egg/django/core/management/init.py”, line 364, in execute_from_command_line
utility.execute()
File “/home/seafile/seafile-server-7.0.3/seahub/thirdpart/Django-1.11.16-py2.7.egg/django/core/management/init.py”, line 308, in execute
settings.INSTALLED_APPS
File “/home/seafile/seafile-server-7.0.3/seahub/thirdpart/Django-1.11.16-py2.7.egg/django/conf/init.py”, line 56, in getattr
self._setup(name)
File “/home/seafile/seafile-server-7.0.3/seahub/thirdpart/Django-1.11.16-py2.7.egg/django/conf/init.py”, line 41, in _setup
self._wrapped = Settings(settings_module)
File “/home/seafile/seafile-server-7.0.3/seahub/thirdpart/Django-1.11.16-py2.7.egg/django/conf/init.py”, line 110, in init
mod = importlib.import_module(self.SETTINGS_MODULE)
File “/usr/lib/python2.7/importlib/init.py”, line 37, in import_module
import(name)
File “/home/seafile/seafile-server-7.0.3/seahub/seahub/init.py”, line 4, in
from handlers import repo_created_cb, repo_deleted_cb, clean_up_repo_trash_cb,
File “/home/seafile/seafile-server-7.0.3/seahub/seahub/handlers.py”, line 4, in
import settings
File “/home/seafile/seafile-server-7.0.3/seahub/seahub/settings.py”, line 844, in
import seahub_settings
File “/home/seafile/conf/seahub_settings.py”, line 4, in
Error:Seahub failed to start.

seahub.log is empty

Did you install it @herve?

I had the same problem. After installing the pkg certifi seahub starts again, but I couldn’t access the interface via my browser. I then switched to nginx and set the proxy to another port - 8001. Since 8000 is now used by Python. I do not normally use Nginx for Seafile at home.

netstat -pan | grep ":8000"
tcp        0      0 127.0.0.1:8000          0.0.0.0:*               LISTEN      1778/python2.7   

I install certifi pkg.
The port 8000 is free in my system
I find the origin of the problem : the module idna is not install
pip install idna and seahub start again

@jobenvil

hostnamectl returned this

Operating System: Raspbian GNU/Linux 8 (jessie)
Kernel: Linux 4.9.35-v7+
Architecture: arm

Ok, my assumptions were right. You are the first reported victim of having an eol distro… it is possible you update your distro to stretch? If not I have to compile with jessie but this could take time since the summer is comming :wink:

Sure - will check around how to do that :slight_smile:
Wonderful thing about Pi is that you set it up and forget about it - but i guess it comes a time that you have to do some additional research.


1h later
I have done it. I am now a linux master :slight_smile:
For anyone with a similar issue i have followed this tutorial on how to upgrade -
https://www.datenreise.de/en/raspberry-pi-raspbian-update-update-jessie-to-stretch/

So - problem solved. Thank you jobenvil for your help and getting us the latest version of Seafile.

lol, wow, that was really fast!! Thanks for sharing! :muscle:

damn… same problem on my bananian jessie. And there is no bananian stretch.

@jobenvil i took the official tar.gz from github - not the link you sent to me (but thanks for this - had no time to check it earlier.

Can i easily go back to 6.3.4 by running the ./minor-upgrade.sh in the 6.3.4 folder?

yes, exactly. But, you can try to compile by yourself. I will be on holiday in two weeks and I could send you some help.

1 Like

Thanks for your answer. Seafile is running in old version again.

After that i thought maybe it would be nice to compile it by myself. But i fail on installing the python thirdparty things with flup…

Summary
XX@bananapi:~/XX/seahub_thirdpart$ easy_install -d . /tmp/flup-1.0.2.tar.gz
Processing flup-1.0.2.tar.gz
Writing /tmp/easy_install-qud55zyr/flup-1.0.2/setup.cfg
Running flup-1.0.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-qud55zyr/flup-1.0.2/egg-dist-tmp-cdd3t5d4
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 157, in save_modules
yield saved
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 198, in setup_context
yield
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 255, in run_setup
DirectorySandbox(setup_dir).run(runner)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 285, in run
return func()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 253, in runner
_execfile(setup_script, ns)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 47, in _execfile
exec(code, globals, locals)
  File "/tmp/easy_install-qud55zyr/flup-1.0.2/setup.py", line 2, in <module>
  File "/tmp/easy_install-qud55zyr/flup-1.0.2/ez_setup.py", line 98
except pkg_resources.VersionConflict, e:
                                    ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/easy_install", line 11, in <module>
sys.exit(main())
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 2270, in main
**kw
  File "/usr/lib/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
  File "/usr/lib/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
  File "/usr/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 411, in run
self.easy_install(spec, not self.no_deps)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 655, in easy_install
return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 700, in install_item
dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 881, in install_eggs
return self.build_and_install(setup_script, setup_base)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 1120, in build_and_install
self.run_setup(setup_script, setup_base, args)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 1106, in run_setup
run_setup(setup_script, args)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 258, in run_setup
raise
  File "/usr/lib/python3.4/contextlib.py", line 77, in __exit__
self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 198, in setup_context
yield
  File "/usr/lib/python3.4/contextlib.py", line 77, in __exit__
self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 169, in save_modules
saved_exc.resume()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 144, in resume
six.reraise(type, exc, self._tb)
  File "/usr/local/lib/python3.4/dist-packages/pkg_resources/_vendor/six.py", line 685, in reraise
raise value.with_traceback(tb)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 157, in save_modules
yield saved
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 198, in setup_context
yield
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 255, in run_setup
DirectorySandbox(setup_dir).run(runner)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 285, in run
return func()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 253, in runner
_execfile(setup_script, ns)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 47, in _execfile
exec(code, globals, locals)
  File "/tmp/easy_install-qud55zyr/flup-1.0.2/setup.py", line 2, in <module>
  File "/tmp/easy_install-qud55zyr/flup-1.0.2/ez_setup.py", line 98
except pkg_resources.VersionConflict, e:
                                    ^
SyntaxError: invalid syntax
seafile@bananapi:~/build/seahub_thirdpart$ easy_install -d . /tmp/flup-1.0.2.tar.gz
Processing flup-1.0.2.tar.gz
Writing /tmp/easy_install-de07kt4z/flup-1.0.2/setup.cfg
Running flup-1.0.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-de07kt4z/flup-1.0.2/egg-dist-tmp-8awu0173
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 157, in save_modules
yield saved
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 198, in setup_context
yield
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 255, in run_setup
DirectorySandbox(setup_dir).run(runner)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 285, in run
return func()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 253, in runner
_execfile(setup_script, ns)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 47, in _execfile
exec(code, globals, locals)
  File "/tmp/easy_install-de07kt4z/flup-1.0.2/setup.py", line 2, in <module>
  File "/tmp/easy_install-de07kt4z/flup-1.0.2/ez_setup.py", line 98
except pkg_resources.VersionConflict, e:
                                    ^
SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/easy_install", line 11, in <module>
sys.exit(main())
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 2270, in main
**kw
  File "/usr/lib/python3.4/distutils/core.py", line 148, in setup
dist.run_commands()
  File "/usr/lib/python3.4/distutils/dist.py", line 955, in run_commands
self.run_command(cmd)
  File "/usr/lib/python3.4/distutils/dist.py", line 974, in run_command
cmd_obj.run()
   File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 411, in run
self.easy_install(spec, not self.no_deps)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 655, in easy_install
return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 700, in install_item
dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 881, in install_eggs
return self.build_and_install(setup_script, setup_base)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 1120, in build_and_install
self.run_setup(setup_script, setup_base, args)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/command/easy_install.py", line 1106, in run_setup
run_setup(setup_script, args)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 258, in run_setup
raise
  File "/usr/lib/python3.4/contextlib.py", line 77, in __exit__
self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 198, in setup_context
yield
  File "/usr/lib/python3.4/contextlib.py", line 77, in __exit__
self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 169, in save_modules
saved_exc.resume()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 144, in resume
six.reraise(type, exc, self._tb)
  File "/usr/local/lib/python3.4/dist-packages/pkg_resources/_vendor/six.py", line 685, in reraise
raise value.with_traceback(tb)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 157, in save_modules
yield saved
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 198, in setup_context
yield
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 255, in run_setup
DirectorySandbox(setup_dir).run(runner)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 285, in run
return func()
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 253, in runner
_execfile(setup_script, ns)
  File "/usr/local/lib/python3.4/dist-packages/setuptools/sandbox.py", line 47, in _execfile
exec(code, globals, locals)
  File "/tmp/easy_install-de07kt4z/flup-1.0.2/setup.py", line 2, in <module>
  File "/tmp/easy_install-de07kt4z/flup-1.0.2/ez_setup.py", line 98
except pkg_resources.VersionConflict, e:
                                    ^
SyntaxError: invalid syntax

good decision. That error is beacuse you use python3.4, use python 2.7.

I invested all the morning. Here the Seafile rpi Jessie version. It includes certifi, etc. Check it out.

2 Likes

Upgraded from 6.3.4 without problems.

Thank you for your great work to the devs, @jobenvil and @DomiM :+1:

1 Like

Thank you @jobenvil for your great work. Works perfect.
Sorry for the late reply. there were times in my life when i were able to spend more time on this - but now its different…

Hahaha, welcome to the club :wink: